<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cmms_forms_histories', function (Blueprint $table) {
            $table->foreign(['cmms_form_id'])->references(['id'])->on('cmms_forms')->onUpdate('cascade')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cmms_forms_histories', function (Blueprint $table) {
            $table->dropForeign('cmms_forms_histories_cmms_form_id_foreign');
        });
    }
};
